Bug 52830 - ifdown kills _all_ dhcpcd processes (if it finds dhcpcd)
Summary: ifdown kills _all_ dhcpcd processes (if it finds dhcpcd)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-29 18:58 UTC by David Sainty
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-29 22:56:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Sainty 2001-08-29 18:58:35 UTC
Description of Problem:
Either remove a 16bit PC card or use "ifdown eth<x>" where you have more
than one interface using dhcpcd.  (This was not an issue w/ pump.)

/etc/sysconfig/network-scripts/ifdown

-               killall dhcpcd
+               dhcpcd -k ${DEVICE}

^^^ this fixes the problem.

Version-Release number of selected component (if applicable):
initscripts-6.31-1

How Reproducible:
Always

Actual Results:
All interfaces using dhcpcd are taken down, not just one.

Expected Results:
Only the relevant interface should be taken down, not every interface that
happens to use dhcpcd.

Comment 1 David Sainty 2001-08-29 22:56:11 UTC
Fix is to use:

kill `cat /var/run/dhcpcd-${DEVICE}.pid`


Comment 2 Bill Nottingham 2001-08-30 02:24:50 UTC
fixed in 6.33-1 - thanks!


Note You need to log in before you can comment on or make changes to this bug.